---
name: Bug
about: If you’ve found a bug, spend the time to write a failing test. Bugs with tests get fixed and stay fixed. If you have a solution in mind, skip raising an issue and open a pull request instead.
labels: bug
---
## Describe the Bug
A clear and concise description of what the bug is. If you have a solution in mind, skip raising an issue and open a pull request instead.

If this is a UI issue...
  * Attach a screen shot or animated gif showing what you think is wrong
  * Include JSON of a trace that produces it, being careful to not include private data
    * You can literally include the JSON in [triple-backticks](https://help.github.com/en/github/writing-on-github/basic-writing-and-formatting-syntax#quoting-code)
    * Otherwise, you can use a [gist](https://gist.github.com/) or pastebin such as [fluffy](https://fluffy.cc/)

Regardless, the best is to spend some time to write a failing test. Bugs with tests get fixed and stay fixed.

## Steps to Reproduce
Steps to reproduce the behavior:

## Expected Behaviour
Suggest what you think correct behaviour should be. Note, it may be solved differently depending on the problem.
